{
  "name": "vue3-template",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite --mode development",
    "uat": "vite --mode uat",
    "prod": "vite --mode prod",
    "build": "run-p  \"build-only {@}\" --",
    "build_uat": "vite build --mode uat",
    "build:prod": "vite --mode prod",
    "preview": "vite preview",
    "build-only": "vite build",
    "lint": "npx eslint -c ./node_modules/@yl/yili-fe-lint-config/eslintrc.vue3.js \"src/**/*.{js,ts,tsx,vue,html}\" --fix",
    "stylelint": "npx stylelint -c ./node_modules/@yl/yili-fe-lint-config/stylelintrc.js \"**/*.{css,scss,sass,less,vue,html}\" --fix"
  },
  "optionalDependencies": {
    "@rollup/rollup-linux-x64-musl": "*"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "@tailwindcss/vite": "^4.1.6",
    "axios": "^1.8.2",
    "core-js": "^3.41.0",
    "cos-js-sdk-v5": "^1.8.7",
    "dotenv": "^16.4.7",
    "echarts": "^5.6.0",
    "element-plus": "^2.9.11",
    "install": "^0.13.0",
    "js-base64": "^3.7.7",
    "lodash": "^4.17.21",
    "pinia": "^3.0.2",
    "regenerator-runtime": "^0.14.1",
    "shrinkpng": "^1.2.0-beta.1",
    "sortablejs": "^1.15.6",
    "swiper": "^11.2.7",
    "tailwindcss": "^4.1.6",
    "uuid": "^11.1.0",
    "vant": "^4.9.17",
    "vconsole": "^3.15.1",
    "vue": "^3.5.13",
    "vue-icons-plus": "^0.1.8",
    "vue-router": "^4.3.3",
    "vuex": "^4.1.0"
  },
  "devDependencies": {
    "@babel/core": "^7.26.10",
    "@babel/polyfill": "^7.12.1",
    "@babel/preset-env": "^7.26.9",
    "@tsconfig/node20": "^20.1.4",
    "@types/node": "^20.14.5",
    "@types/postcss-pxtorem": "^6.1.0",
    "@types/webpack-env": "^1.18.8",
    "@vant/auto-import-resolver": "^1.3.0",
    "@vitejs/plugin-legacy": "^6.0.2",
    "@vitejs/plugin-vue": "^5.0.5",
    "@vitejs/plugin-vue-jsx": "^4.0.0",
    "@vue/tsconfig": "^0.5.1",
    "@yl/yili-fe-lint-config": "^1.0.0",
    "amfe-flexible": "^2.2.1",
    "autoprefixer": "^10.4.21",
    "babel-loader": "^10.0.0",
    "code-inspector-plugin": "^0.20.10",
    "husky": "^9.1.5",
    "npm-run-all2": "^6.2.0",
    "postcss": "^8.5.3",
    "postcss-pxtorem": "^6.1.0",
    "sass": "^1.85.1",
    "sass-loader": "^16.0.5",
    "typescript": "^5.2.2",
    "unplugin-auto-import": "^0.18.6",
    "unplugin-vue-components": "^0.27.5",
    "vite": "^6.0.0",
    "vite-plugin-vue-devtools": "^7.7.6",
    "vitest": "^3.0.9",
    "vue-tsc": "^2.0.21"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not dead",
    "not ie <= 11",
    "Android >= 4.4",
    "iOS >= 8"
  ]
}